Bug 534914 - (RHQ-1664) put keystore/truststore files in consistent place on server
put keystore/truststore files in consistent place on server
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Pavel Kralik
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 08:40 EST by John Mazzitelli
Modified: 2013-04-30 19:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-02-25 08:40:00 EST
Right now the server is configured to have the keystore in one place (/conf) but truststore in another place (/data).

Make it consistent. We should put these in the /conf directory by default but let the user tell us if they want them in a different place (right now, the /conf directory is hardcoded in the tomcat server.xml file).
Comment 1 John Mazzitelli 2009-02-25 22:03:25 EST
3199 adds the changes to the config files
3202 adds the new settings to the installer
Comment 2 Pavel Kralik 2009-03-24 12:15:28 EDT
The keystore and truststore files are in conf/ directory.

RHEL5.3, x86_64, PostgreSQL8.2.4, java 1.6.0_11, JON RHQ SVN rev# 3509 
Comment 3 Red Hat Bugzilla 2009-11-10 15:37:47 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1664
This bug relates to RHQ-1665

Note You need to log in before you can comment on or make changes to this bug.